

 level_name = {}
 community_name = {}
 rate_name = {}
 monster_classes = {}
 anomaly_classes = {}
 rate_prefix = {}
 rate_postfix = {}
 monster_prefix = {}
 monster_suffix = {}
 weapon_classes = {}
 common = {}
 seen_prefix = {}
 spawn_prefix = {}
 anomaly_prefix = {}
 anomaly_postfix = {}

function Init()
--
end

-- Добавить список вариантов для text, text0
-- Добавить радиус для text0
base_points = {
     ["l01_escape"] = {
          [1] = { name = "the abandoned factory", text = "the abandoned factory", text0 = "at the abandoned factory", p = {-6.99, 5.19, 86.94 } },
          [2] = { name = "the abandoned farm", text = "the abandoned farm", text0 = "On an abandoned farm", p = {5.17, 2.31, 274.39 } },
          [3] = { name = "carpark", text = "carpark", text0 = "at the carpark", p = {112.56, -5.81, -16.56} },
          [4] = { name = "the railway embankment", text = "the railway embankment", text0 = "at the railway embankment", p = {56.13, 3.29, 157.36} },
          [5] = { name = "the military checkpoint", text = "the military checkpoint", text0 = "at the military checkpoint", p = {-155.74, -28.49, -352.21} },
          [6] = { name = "Checkpoint before the Garbage", text = "the checkpoint before the Garbage", text0 = "at the checkpoint before the Garbage", p = {14.08, 17.45, 669.28} },
          [7] = { name = "the rookie camp", text = "the rookie camp", text0 = "at the rookie camp", p = {-193.57, -18.49, -145.71} }
     },
	 ["l01_escape1"] = {
          [1] = { name = "Pile of garbage", text = "Pile of garbage", text0 = "in a pile of garbage", p = {-243.61, -12.45, -37.83} },
		  [2] = { name = "rookie camp", text = "rookie camp", text0 = "In the rookie camp", p = {-167.69, -20.012, -132.51} },
		  [3] = { name = "mill", text = "Mill", text0 = "At the mill", p = {17.24, 3.50, 92.55} },
              [4] = { name = "Train on the bridge", text = "Train on the bridge", text0 = "In a train on the bridge", p = {32.55, 21.81, 156.37} }
	 },
	 ["l01_escape2"] = {
          [1] = { name = "les", text = "les", text0 = "les", p = {-243.61, -12.45, -37.83} },
		  [2] = { name = "lager", text = "lager", text0 = "lager", p = {-167.69, -20.012, -132.51} },
		  [3] = { name = "atr", text = "atr", text0 = "atr", p = {17.24, 3.50, 92.55} },
              [4] = { name = "tep", text = "tep", text0 = "tep", p = {32.55, 21.81, 156.37} }
	 },
     ["l02_garbage"] = {
          [1] = { name = "the hangar", text = "the hangar", text0 = "in the hangar", p = {-89.43, 1.78, 9.83} },
          [2] = { name = "the vehicle junkyard", text = "the vehicle junkyard", text0 = "in the vehicle junkyard", p = {-99.32, -1.21, -205.70} },
          [3] = { name = "woods", text = "the woods", text0 = "in the woods", p = {186.81, 1.74, -135.74} },
          [4] = { name = "the camp behind the vehicle junkyard", text = "the camp behind the vehicle junkyard", text0 = "at the camp behind the vehicle junkyard", p = {-203.86, -4.75, -153.29} },
          [5] = { name = "Duty checkpoint", text = "Duty checkpoint", text0 = "at the Duty checkpoint", p = {39.58, 1.84, 222.29} },
          [6] = { name = "the swamp", text = "the swamp", text0 = "at the swamp", p = {168.68, -3.29, 95.92 } }
     },
	 ["l02_garbage1"] = {
          [1] = { name = "On a heap in front of the hangar", text = "Heap opposite the hangar", text0 = "On the heap opposite the hangar", p = {49.58, 16.17, -0.70} },
          [2] = { name = "the abandoned vehicle junkyard", text = "In the abandoned vehicle junkyard", text0 = "In the abandoned vehicle junkyard", p = {-95.25, -1.40, -222.45} },
          [3] = { name = "Under the roof of a hangar", text = "Roof hangar", text0 = "Under the roof of a hangar", p = {-79.10, 15.82, 15.42} },
          [4] = { name = "In the ruins near the Duty checkpoint", text = "In the ruins, not far from the Duty checkpoint", text0 = "In the ruins, not far from the Duty checkpoint", p = {96.50, -3.30, 159.67} },
          [5] = { name = "Duty checkpoint", text = "Duty checkpoint", text0 = "In the Duty checkpoint", p = {29.16, 9.79, 226.94} }
     },
	 ["l02_garbage2"] = {
          [1] = { name = "heap opposite the hangar", text = "On the heap opposite the hangar", text0 = "1", p = {49.58, 16.17, -0.70} },
          [2] = { name = "the abandoned vehicle junkyard", text = "in the abandoned vehicle junkyard", text0 = "2", p = {-95.25, -1.40, -222.45} },
          [3] = { name = "Under the roof of a hangar", text = "Hangar roof", text0 = "3", p = {-79.10, 15.82, 15.42} },
          [4] = { name = "In the ruins, close to the Duty checkpoint", text = "in the ruins", text0 = "4", p = {96.50, -3.30, 159.67} },
          [5] = { name = "Duty checkpoint", text = "Duty checkpoint", text0 = "5", p = {29.16, 9.79, 226.94} }
     },
     ["l03_agroprom"] = {
          [1] = { name = "central complex", text = "central complex", text0 = "in the central complex", p = {5.16, 0.00, 9.80} },
          [2] = { name = "swamp", text = "swamp", text0 = "in the swamp", p = {-181.84, 2.99, 70.09} },
          [3] = { name = "western complex", text = "western complex", text0 = "in the western complex", p = {-138.95, -0.21, -182.71} },
          [4] = { name = "the exit to the Garbage", text = "the exit to the Garbage", text0 = "at the exit to the Garbage", p = {183.79, 0.26, -236.51} },
          [5] = { name = "tunnel", text = "in the tunnel", text0 = "in the tunnel", p = {187.12, -0.20, 45.23} }     
     },
	 
	 ["l03_agroprom1"] = {
          [1] = { name = "under wagons", text = "under wagons", text0 = "under wagons", p = {15.55, 0.90, 48.00} },
          [2] = { name = "in APCs", text = "in APCs", text0 = "in APCs", p = {-148.31, 1.00, -217.30} },
          [3] = { name = "near the truck", text = "near the truck", text0 = "near the truck", p = {74.00, 6.80, -115.53} },
          [4] = { name = "on the roofs of the central complex", text = "on the roofs of the central complex", text0 = "on the roofs of the central complex", p = {34.01, 4.81, 11.23} },
          [5] = { name = "in the central complex, in the center of radiation", text = "in the central complex, in the center of radiation", text0 = "in the central complex, in the center of radiation", p = {21.35, -2.52, -3.02} },
          [6] = { name = "on yellow trailers", text = "on yellow trailers", text0 = "on yellow trailers", p = {-193.50, 0.80, -167.70} }     
     },
	 
	 ["l03_agroprom2"] = {
          [1] = { name = "under wagons", text = "under wagons", text0 = "1", p = {15.55, 0.90, 48.00} },
          [2] = { name = "in APCs", text = "in APCs", text0 = "2", p = {-148.31, 1.00, -217.30} },
          [3] = { name = "near the truck", text = "near the truck", text0 = "3", p = {74.00, 6.80, -115.53} },
          [4] = { name = "on the roofs of the central complex", text = "on the roofs of the central complex", text0 = "4", p = {34.01, 4.81, 11.23} },
	    [5] = { name = "in the central complex, in the center of radiation", text = "in the central complex, in the center of radiation", text0 = "5", p = {21.35, -2.52, -3.02} },
          [6] = { name = "on yellow trailers", text = "on yellow trailers", text0 = "6", p = {-193.50, 0.80, -167.70} }     
     },
	
	 ["l04u_labx18"] = {
          [1] = { name = "les", text = "les", text0 = "egy nagy szobбban kontйnerekkel", p = {26.50, -16.34, 74.72} },
		  [2] = { name = "lager", text = "lager", text0 = "in a room with human experiments", p = {13.45, -8.90, -10.70} },
		  [3] = { name = "atr", text = "atr", text0 = "in a room with a bath full of acid", p = {0.80, 7.10, -18.50} }
	 },
	 
	 ["l04u_labx181"] = {
          [1] = { name = "les", text = "les", text0 = "1", p = {26.50, -16.34, 74.72} },
		  [2] = { name = "lager", text = "lager", text0 = "2", p = {13.45, -8.90, -10.70} },
		  [3] = { name = "atr", text = "atr", text0 = "3", p = {0.80, 7.10, -18.50} }
	 },
	 
     ["l04_darkvalley"] = {
          [1] = { name = "laboratory", text = "laboratory", text0 = "in the laboratory", p = {116.69, 2.80, -259.05} },
          [2] = { name = "factory to the north", text = "factory to the north", text0 = "at the factory in the north", p = {34.09, 17.05, -45.35} },
          [3] = { name = "the swamp", text = "the swamp", text0 = "at the swamp", p = {18.19, 4.41, -332.89} },
          [4] = { name = "the farm", text = "farm", text0 = "at the farm", p = {-118.22, 3.61, -506.06} },
          [5] = { name = "the entrance to the Garbage", text = "the entrance to the Garbage", text0 = "the entrance to the Garbage", p = {-136.91, 2.34, -188.37} },
          [6] = { name = "hill", text = "at the hill", text0 = "on the hill", p = {135.87, 16.94, -394.07} },
     },                
     ["l05_bar"] = {
          [1] = { name = "the southern checkpoint", text = "the southern checkpoint", text0 = "at the the southern checkpoint", p = {223.99, 1.32, -2.64} },
          [2] = { name = "the northern checkpoint", text = "the northern checkpoint", text0 = "at the the northern checkpoint", p = {84.84, 1.94, 140.97} },
          [3] = { name = "base", text = "base", text0 = "at the base", p = {203.36, 1.76, 98.96} },
          [4] = { name = "Arena", text = "Arena", text0 = "at the Arena", p = {157.53, 1.88, 84.77} },
          [5] = { name = "Bar", text = "Bar", text0 = "at the Bar", p = {129.90, 1.29, 49.26} }
     },
     ["l06_rostok"] = {
          [1] = { name = "downed helicopter", text = "downed helicopter", text0 = "at the downed helicopter", p = {-256.68, -0.00, 157.16} },
          [2] = { name = "the entrance to the Bar", text = "the entrance to the Bar", text0 = "at the entrance to the Bar", p = {-14.60, 0.94, 140.47} },
          [3] = { name = "Mercenary camp", text = "Mercenary camp", text0 = "at the Mercenary camp", p = {-233.71, 10.61, 50.33} },
          [4] = { name = "Tunnel with burners", text = "Tunnel with burners", text0 = "Tunnel with burners", p = {-167.79, -5.80, -86.10} }
     },
     
	 ["l07_military1"] = {
          [1] = { name = "at the Freedom base, in ventilation trash", text = "at the Freedom base, in ventilation trash", text0 = "at the Freedom base, in ventilation trash", p = {-47.47, -4.60, -12.10} },  
          [2] = { name = "at the Freedom base, near the bridge", text = "at the Freedom base, near the bridge", text0 = "at the Freedom base, near the bridge", p = {-7.80, -6.95, 66.50} },    
          [3] = { name = "at the Freedom base, on the roof of the headquarters", text = "at the Freedom base, on the roof of the headquarters", text0 = "at the Freedom base, on the roof of the headquarters", p = {-26.33, -0.56, -25.31} },  
          [4] = { name = "in the bloodsucker village, near ruins", text = "in the bloodsucker village, near ruins", text0 = "in the bloodsucker village, near ruins", p = {-339.99, -23.48, 252.30} },   
          [5] = { name = "in a farm, near the Mercenary camp", text = "in the farm, near the Mercenary camp", text0 = "in a house, near the Mercenary camp", p = {-189.95, -7.90, 374.99} },  
          [6] = { name = "at the Freedom base, in the tunnel", text = "at the Freedom base, in the tunnel", text0 = "at the Freedom base, in the tunnel", p = {117.51, -9.54, 54.59} }    
     },
	 
	 ["l07_military2"] = {
          [1] = { name = "at the Freedom base, in ventilation trash", text = "at the Freedom base, in ventilation trash", text0 = "1", p = {-47.47, -4.60, -12.10} },
          [2] = { name = "at the Freedom base, near the bridge", text = "at the Freedom base, near the bridge", text0 = "2", p = {-7.80, -6.95, 66.50} },
          [3] = { name = "at the Freedom base, on the roof of the headquarters", text = "at the Freedom base, on the roof of the headquarters", text0 = "3", p = {-26.33, -0.56, -25.31} },
          [4] = { name = "in the bloodsucker village, near ruins", text = "in the bloodsucker village, near ruins", text0 = "4", p = {-339.99, -23.48, 252.30} },
	    [5] = { name = "in a farm, near the Mercenary camp", text = "in the farm, near the Mercenary camp", text0 = "5", p = {-189.95, -7.90, 374.99} },
          [6] = { name = "at the Freedom base, in the tunnel", text = "at the Freedom base, in the tunnel", text0 = "6", p = {117.51, -9.54, 54.59} }     
     },
	 
	 ["l07_military"] = {         
          [1] = { name = "farm", text = "farm", text0 = "at the farm", p = {-235.53, -11.48, 44.28} },
          [2] = { name = "Freedom base", text = "Freedom base", text0 = "at the Freedom base", p = {-7.72, -6.94, 2.05} },
          [3] = { name = "bloodsucker village", text = "the bloodsucker village", text0 = "in the bloodsucker village", p = {-287.41, -21.61, 238.97} },
          [4] = { name = "checkpoint behind the village", text = "checkpoint behind the village", text0 = "at the checkpoint behind the village", p = {-344.72, -11.02, 389.12} },
          [5] = { name = "Barrier", text = "Barrier", text0 = "at the Barrier", p = {53.84, -16.50, 365.99} },
          [6] = { name = "swamp", text = "swamp", text0 = "at the swamp", p = {102.94, -10.33, 165.34} },
          [7] = { name = "the loner camp", text = "the loner camp", text0 = "at the the loner camp", p = {-93.25, -19.23, 221.38} }
     },
	 
	 ["l10_radar"] = {
          [1] = { name = "In the woods, in the rocks, near the stalker camp", text = "In the woods, in the rocks, near the stalker camp", text0 = "In the woods, in the rocks, near the stalker camp", p = {486.60, -52.56, -102.10} },  
          [2] = { name = "Near the entrance to Pripyat", text = "Near the entrance to Pripyat", text0 = "Near the entrance to Pripyat", p = {390.70, -34.33, 157.27} },  
          [3] = { name = "In the stones by the road, opposite the trailer, where a pack of dogs dwell", text = "In the stones by the road, opposite the trailer, where a pack of dogs dwell", text0 = "In the stones by the road, opposite the trailer, where a pack of dogs dwell", p = {573.04, -59.40, -230.01} },   
          [4] = { name = "Near the train", text = "Near the train", text0 = "Near the train", p = {-38.38, -2.41, -26.90} }     
     },
	 
	 ["l10_radar1"] = {
          [1] = { name = "In the woods, in the rocks, near the stalker camp", text = "In the woods, in the rocks, near the stalker camp", text0 = "1", p = {486.60, -52.56, -102.10} },
          [2] = { name = "Near the entrance to Pripyat", text = "Near the entrance to Pripyat", text0 = "2", p = {390.70, -34.33, 157.27} },
          [3] = { name = "In the stones by the road, opposite the trailer, where a pack of dogs dwell", text = "In the stones by the road, opposite the trailer, where a pack of dogs dwell", text0 = "3", p = {573.04, -59.40, -230.01} },
          [4] = { name = "Near the train", text = "Near the train", text0 = "4", p = {-38.38, -2.41, -26.90} }     
     },
	 
	 ["l11_pripyat1"] = {
          [1] = { name = "Scientist bunker", text = "Scientist bunker", text0 = "1", p = {100.17, -2.19, -2.16} },  
          [2] = { name = "the swamp", text = "the swamp", text0 = "2", p = {-92.92, 0.05, -39.15} },    
          [3] = { name = "Yantar Factory", text = "Yantar Factory", text0 = "3", p = {65.53, 2.27, 26.98} }  
     },
	 
	 ["l08_yantar1"] = {
          [1] = { name = "In the middle of a swamp", text = "In the middle of a swamp", text0 = "In the middle of a swamp", p = {-62.33, -13.00, -252.71} },
          [2] = { name = "Near the scientist bunker", text = "Near the scientist bunker", text0 = "Near the scientist bunker", p = {30.50, -11.95, -238.80} },  
          [3] = { name = "On the territory of the factory, behind the boxes", text = "On the territory of the factory, behind the boxes", text0 = "In the territory of the factory, behind the boxes", p = {7.35, 0.20, -6.00} },  
          [4] = { name = "On the roofs of the central building, on the territory of the factory", text = "On the roofs of the central building, in the territory of the factory", text0 = "On the roofs of the central building, in the territory of the factory", p = {-5.95, 14.38, -15.54} }, 
          [5] = { name = "In a truck", text = "In a truck", text0 = "In a truck", p = {118.00, 2.45, -133.80} },  
          [6] = { name = "On the territory of the factory, under ventilation", text = "In the territory of the plant, under ventilation", text0 = "On the territory of the factory, under ventilation", p = {31.75, 0.12, -22.05} }     
     },
	 
	 ["l08_yantar2"] = {
          [1] = { name = "In the middle of a swamp", text = "In the middle of a swamp", text0 = "1", p = {-62.33, -13.00, -252.71} },
          [2] = { name = "Near the scientist bunker", text = "Near the scientist bunker", text0 = "2", p = {30.50, -11.95, -238.80} },
          [3] = { name = "On the territory of the factor, behind the boxes", text = "In the territory of the factory, behind the boxes", text0 = "3", p = {7.35, 0.20, -6.00} },
          [4] = { name = "On the roofs of the central building, on the territory of the factory", text = "On the roofs of the central building, in the territory of the factory", text0 = "4", p = {-5.95, 14.38, -15.54} },
	    [5] = { name = "In a truck", text = "In a trunk", text0 = "5", p = {118.00, 2.45, -133.80} },
          [6] = { name = "On the territory of the factory, under ventilation", text = "In the territory of the factory, under ventilation", text0 = "6", p = {31.75, 0.12, -22.05} }     
     },
	 
     ["l08_yantar"] = {
          [1] = { name = "Scientist bunker", text = "Scientist bunker", text0 = "scientist bunker", p = {30.01, -4.18, -272.08} },
          [2] = { name = "the swamp", text = "the swamp", text0 = "at the swamp", p = {-54.12, -10.45, -257.11} },
          [3] = { name = "the Yantar Factory", text = "the Yantar Factory", text0 = "In the territory of the Yantar Factory", p = {20.80, 0.86, -11.20} }
     }
}

levels = {"l01_escape", "l02_garbage", "l03_agroprom", "l03u_agr_underground", "l04_darkvalley", "l04u_labx18", "l05_bar", "l06_rostok", "l07_military", "l08_yantar", "l08u_brainlab", "l10_radar", "l10u_bunker", "l11_pripyat", "l12_stancia", "l12_stancia_2", "l12u_control_monolith", "l12u_sarcofag", "atp_for_test22", "peshera", "aver", "av_peshera", "puzir", "marsh", "limansk", "hospital", "warlab", "lost_village", "generators", "red_forest", "dead_city", "jupiter", "zaton", "pripyat", "jupiter_underground", "labx8", "mine", "la15_darkscape"}
levels_types={
    atp_for_test22=0,
     marsh=0,
	 limansk=0,
	 hospital=0,
     peshera=0,
     aver=0,
     av_peshera=0,
     puzir=0,
     warlab=1,
     lost_village=0,
     generators=0,
	red_forest=0,
     dead_city=0,
     jupiter=0,
     zaton=0,
     pripyat=0,
     jupiter_underground=0,
     labx8=1, 
	l01_escape=0,
	l02_garbage=0,
	l03_agroprom=0,
	l03u_agr_underground=1,
	l04_darkvalley=0,
	l04u_labx18=1,
	l05_bar=0,
	l06_rostok=0,
	l07_military=0,
	l08_yantar=0,
	l08u_brainlab=1,
	l10_radar=0,
	l10u_bunker=1,
	l11_pripyat=0,
	l12_stancia=0,
	l12_stancia_2=0,
	l12u_control_monolith=1,
	l12u_sarcofag=1,
	mine=1,
	la15_darkscape=0
}

level_name = {
["atp_for_test22"] = {"ATP", "In the ATP"},
["peshera"] = {"Cаve", "In the Cave"},
["puzir"] = {"Forgotten Forest", "In the Forgotten Forest"},
["aver"] = {"Unexplored Land", "In the Unexplored Land"},
["av_peshera"] = {"Labyrinth", "In the Labyrinth"},
["warlab"] = {"Warlab", "In the Warlab"},
["lost_village"] = {"Old Village", "In the Old Village"},
["generators"] = {"Generators", "In the Generators"},
["marsh"] = {"Swamps", "In the Swamps"},
["limansk"] = {"Limansk", "In Limansk"},                     
["hospital"] = {"Hospital", "In the Hospital"},
["red_forest"] = {"Red Forest", "In the Red Forest"},
["dead_city"] = {"Dead City", "In the Dead City"},
["jupiter"] = {"Jupiter", "In Jupiter"},
["zaton"] = {"Zaton", "In Zaton"},
["pripyat"] = {"Eastern Pripyat", "In Eastern Pripyat"},
["jupiter_underground"] = {"Jupiter Underground", "In the Jupiter Underground"},
["labx8"] = {"Laboratory Х-8", "In Laboratory Х-8"},
	["l01_escape1"] = {"Cordon", "In the Cordon"},
	["l01_escape"] = {"Cordon", "In the Cordon"},
	["l02_garbage1"] = {"Garbage", "In the Garbage"},
	["l02_garbage"] = {"Garbage", "In the Garbage"},
	["l03_agroprom1"] = {"Agroprom", "In the Agroprom"},
	["l03_agroprom"] = {"Agroprom", "In the Agroprom"},
	["l03u_agr_underground"] = {"In the Agroprom Underground", "In the Agroprom Underground"},
	["l04_darkvalley"] = {"Dark Valley", "In the Dark Valley"},
	["l04u_labx18"] = {"Laboratory X-18", "In Laboratory X-18"},
	["l05_bar"] = {"Bar", "At the Bar"},
	["l06_rostok"] = {"Wild Territory", "In the Wild Territory"},
	["l07_military1"] = {"Army Warehouses", "In the Army Warehouses"},
	["l07_military"] = {"Army Warehouses", "In the Army Warehouses"},
	["l08_yantar1"] = {"Yantar", "In Yantar"},
	["l08_yantar"] = {"Yantar", "In Yantar"},
	["l08u_brainlab"] = {"Laboratory X-16", "In Laboratory X-16"},
	["l10_radar"] = {"Radar", "In the Radar"},
	["l10u_bunker"] = {"Laboratory X-10", "In Laboratory X-10"},
	["l11_pripyat"] = {"Pripyat", "In Pripyat"},
	["l12_stancia"] = {"ChNPP-1", "In ChNPP-1"},
	["l12_stancia_2"] = {"ChNPP-2", "In ChNPP-2"},
	["l12u_control_monolith"] = {"ChNPP-1", "In ChNPP-1"},
	["l12u_sarcofag"] = {"Sarcophagus", "In the Sarcophagus"},
	["mine"] = {"Mines", "In the Mines"},
	["la15_darkscape"] = {"Darkscape", "In Darkscape"}
}

community_name["stalker"] 	= {"Loner","Stalker","Stalker", "Stalker"}
community_name["monolith"] 	={"\"Monolith\"","Monolith","Monolith", "Monolith"}
community_name["military"] 	= {"Military","Military","Military", "Military"}
community_name["killer"] 	= {"Mercenary","Mercenary","Mercenary", "Mercenary"}
community_name["ecolog"] 	= {"Ecologist","Ecologist","Ecologist", "Ecologist"}
community_name["dolg"] 		= {"\"Duty\"","Duty","Duty", "Duty"}
community_name["freedom"] 	= {"\"Freedom\"","Freedom","Freedom", "Freedom"}
community_name["bandit"] 	= {"Bandit","Bandit","Bandit", "Bandit"}
community_name["nebo"] 	     = {"ClearSky","ClearSky","ClearSky", "ClearSky"}
community_name["lastday"] 	= {"Terrorist","Terrorist","Terrorist", "Terrorist"}
community_name["fotoman"] 	= {"Terrorist","Terrorist","Terrorist", "Terrorist"}
community_name["bandos"] 	= {"Bandit","Bandit","Bandit", "Bandit"}
community_name["voin"] 	     = {"Military","Military","Military", "Military"}
community_name["green"] 	= {"\"Hunter\"","Hunter","Hunter", "Hunter"}
community_name["sniper"] 	= {"Avenger","Avenger","Avenger", "Avenger"}
community_name["zombied"] 	= {"Zombie","Zombie","Zombie", "Zombie"}


rate_name["novice"] 		= {"novice", "совсем неопытный был", "совсем новичок был", "только недавно в Зоне появился", "ничего ещё толком не знал"}
rate_name["experienced"] 	= {"опытный", "и не новичок", "серьёзный мужик был", "уже повидал Зону"}
rate_name["veteran"] 		= {"ветеран", "не первый раз в Зоне", "опытный был"}
rate_name["master"] 		= {"мастер", "профи был", "в Зоне был одним из лучших", "эксперт был в своём деле"}
rate_prefix 				= {"Представляете, ", "Эх, ","Блин, ", "Ёлки, ", "Трындец, ", "Кажется, ", "Вот ведь, "}
rate_postfix 				= {"", "...", " Странные дела творятся...", " Жуть.", " Не повезло..."}

common["sad_a"] 			= {"Эх,", "Ёлки,", "Блин,", "Трындец,", "Ужас,", "Вот ведь,", "Ну дела,", "Ну и ну,", "Странные дела творятся,", "Жуть,"}
common["sad_z"] 			= {"эх", "ёлки", "блин", "трындец", "ужас", "вот ведь", "ну дела", "ну и ну", "странные дела творятся", "жуть"}
common["fun_a"] 			= {"Прикольно", "Хех", "Здорово", "Весело"}
common["fun_z"] 			= {"вот так", "прикольно", "хех", "здорово", "весело"}
common["prob_a"] 			= {"Наверно,", "Похоже,", "Явно", "Скорее всего,", "Думаю,", "Наверное,", "Похоже,", "Думаю,", "Точно,"}
common["prob_z"] 			= {"похоже", "probably", "точно"}
common["kill_a"] 			= {"Убили", "Грохнули", "Замочили", "Шлёпнули", "Пришлёпнули", "Завалили"}
common["kill_z"] 			= {"убили", "грохнули", "замочили", "шлёпнули", "пришлёпнули", "завалили"}
common["spawn_seen_a"] 		= {"Видел", "Обнаружил", "Заметил", "Засёк", "Увидел", "Наблюдал", "Приметил"}
common["spawn_seen_z"] 		= {"видел", "обнаружил", "заметил", "засёк", "увидел", "наблюдал", "приметил"}
common["seen_a"] 			= {"Нашёл", "Видел", "Обнаружил", "Заметил"}
common["seen_z"] 			= {"нашёл", "видел", "обнаружил", "заметил"}
common["corpse_a"] 			= {"Труп", "Останки", "Всё, что осталось от", "Части"}
common["corpse_z"] 			= {"труп", "останки", "всё, что осталось от", "части"}
common["corpse_name_a"] 	= {"По документам -", "Судя по жетону -", "Судя по экипировке -"}
common["corpse_name_z"] 	= {"по документам", "судя по жетону", "судя по экипировке"}
common["carefull_a"] 		= {"Осторожнее", "Будьте внимательны", "Внимание всем", "Тревога", "Всем внимание"}
common["carefull_z"] 		= {"осторожнее там", "внимательнее там", "хз, что творится", "не нарвитесь", "будьте внимательны"}
common["when_a"] 			= {"Только что", "Сегодня", "Недавно", "Совсем недавно", "Не так давно"}
common["when_z"] 			= {"только что", "сегодня", "недавно", "совсем недавно", "не так давно"}
common["kill_seen_a"] 		= {"Видел", "Заметил", "Засёк", "Увидел", "Наблюдал", "Приметил"}
common["kill_seen_z"] 		= {"видел", "заметил", "засёк", "увидел", "наблюдал", "приметил"}
common["killed_a"] 			= {"Убил", "Грохнул", "Замочил", "Шлёпнул", "Пришлёпнул", "Завалил"}
common["killed_z"] 			= {"убил", "грохнул", "замочил", "шлёпнул", "пришлёпнул", "завалил"}
common["cool_a"] 			= {"Круто", "Супер", "Просто офигеть", "Прикольно"}
common["cool_z"] 			= {"круто", "супер", "просто офигеть", "прикольно"}
common["meet_a"] 			= {"Наткнулся на", "Нарвался на", "Напоролся на", "Повстречал", "Встертил"}
common["meet_z"] 			= {"наткнулся на", "нарвался на", "напоролся на", "повстречал", "встертил"}
common["hard_a"] 			= {"С трудом", "Еле-еле", "Чудом", "Не знаю как, но", "Повезло -", "Хорошо не растерялся -", "Повезло, что близко не подпускал, так и", "Думал сбежать - да некуда. Ну, и", "Успел выстрелить вот и"}
common["hard_z"] 			= {"с трудом", "еле-еле", "чудом", "не знаю как, но", "повезло -", "хорошо не растерялся -", "повезло, что близко не подпускал, так и", "думал сбежать - да некуда. Ну, и", "успел выстрелить вот и"}

-- первые шесть подземка(news_main)
monsters = { "pseudo-giant", "snork", "bloodsucker", "poltergeist", "burer", "chimera", "zombie", "controller", "pseudodog", "psy-dog", "dog", "flesh", "rodent", "boar"}

monster_classes[clsid.controller_s] 	= {"controller", "controller", "controller", "controller", "controller", "controllers"}
monster_classes[clsid.chimera_s] 		= {"chimera", "chimera", "chimera", "chimera", "chimera", "chimeras"}
monster_classes[clsid.poltergeist_s] 	= {"poltergeist", "poltergeist", "poltergeist", "poltergeist", "poltergeist", "poltergeists"}
monster_classes[clsid.snork_s] 			= {"snork", "snork", "snork", "snork", "snork", "snorks"}
monster_classes[clsid.gigant_s] 		= {"pseudo-giant", "pseudo-giant", "pseudo-giant", "pseudo-giant", "pseudo-giant", "pseudo-giants"}
monster_classes[clsid.burer_s] 			= {"burer", "бюрер", "burer", "burer", "burer", "burers"}
monster_classes[clsid.bloodsucker_s] 	= {"bloodsucker", "bloodsucker", "bloodsucker", "bloodsucker", "bloodsucker", "bloodsuckers"}
monster_classes[clsid.zombie_s] 		= {"zombie", "зомби", "zombie", "zombie", "зомби", "зомби"}
monster_classes[clsid.boar_s] 			= {"boar", "boar", "boar", "boar", "boar", "boars"}
monster_classes[clsid.cat_s] 			= {"cat", "cat", "cat", "cat", "cat", "cats"}
monster_classes[clsid.pseudodog_s] 		= {"pseudodog", "pseudodog", "pseudodog", "pseudodog", "pseudodog", "pseudodog"}
monster_classes[clsid.psy_dog_s] 		= {"psy-dog", "psy-dog", "psy-dog", "psy-dog", "psy-dog", "psy-dog"}
monster_classes[clsid.dog_s] 			= {"dog", "dog", "dog", "dog", "dog", "dog"}
monster_classes[clsid.flesh_s] 			= {"flesh", "flesh", "flesh", "flesh", "flesh", "fleshes"}
monster_classes[clsid.tushkano_s] 		= {"rodent", "тушкан", "rodent", "rodent", "rodent", "rodents"}
monster_classes[clsid.fracture_s] 		= {"izlom", "izlom", "izlom", "izlom", "izlom", "izloms"}

monster_prefix 		= {"","Всего исполосовали.","Тело основательно поели.", "Обглодали до костей.", "Хорошо погрызли."}
monster_suffix[1] 	= {"Похоже, ", "Явно ", "Наверное, ", "Видимо, ", "По всей видимости, "}
monster_suffix[2] 	= {"Смахивает на работу ", "Видимо, не убежал от "}
monster_suffix[3] 	= {"Напоролся на ", "Встретил "}
monster_suffix[4] 	= {"Попался ", "Попал на обед к "}

anomalies = { "\"Студень\"", "\"Воронка\"", "\"Карусель\"", "\"Карусель\"", "\"Трамплин\"", "\"Электра\"", "\"Жарка\"" }

anomaly_classes["burning_fuzz"] 			= {"\"Жгучий пух\"", "\"Жгучий пух\"", "Очень странная смерть", "На теле ран нет"}
anomaly_classes["buzz"] 					= {"\"Студень\"", "\"Студень\"", "Вместо ног - жуткое месиво", "Мало что осталось", "Разьело до костей"}
anomaly_classes["gravi"] 					= {"\"Воронка\"", "\"Воронку\"", "Попросту порвало", "Погиб на месте", "Разорвало на части"}
anomaly_classes["mincer"] 					= {"\"Карусель\"", "\"Карусель\"", "Попросту разорвало", "Поотрывало руки-ноги", "Порвало на куски"}
anomaly_classes["witches"] 					= {"\"Электра\"", "\"Электру\"", "Неслабо поджарило", "До сих пор искрит", "Аж кожа обуглилась"}
anomaly_classes["mosquito"] 				= {"\"Трамплин\"", "\"Трамплин\"", "Все кости переломало", "Приложило об землю", "Просто расплющило"}
anomaly_classes["zharka"] 					= {"\"Жарка\"", "\"Жарку\"", "Сгорел на месте", "Только угольки остались"}
anomaly_classes["radioactive"] 				= {"Радиация", "сильную радиацию", "Из носа и ушей идет кровь", "Из носа и ушей идет кровь"}
anomaly_classes["ice"] 						= {"\"Снежная\"", "\"Снежную\"", "Моментально замёрз", "Превратился в ледышку", "Замёрз, ясное дело"}


anomaly_prefix						= {"Кажется, попал в ", "Влетел в ", "Попал в ", "Не заметил "}
anomaly_postfix						= {"", "Незадолго до этого выронил КПК, иначе я не смог бы его опознать.", "Подходить побоялся.", "Опознал по КПК побитому.", "Рядом нашёл КПК."}

spawn_prefix = {"Грохнуть эту скотину не удалось, так что, мужики, осторожней.", "опять завелись"}

weapon_classes = {
	[1] = {
			["name"]   = {"пистолет", "из пистолета", "Из пистолета"},
			["hit_a"]  = {"Высадили всю обойму", "Стреляли в упор", "Задели шею", "Прямо в лоб", "Стреляли в спину", "Прострелили обе ноги"},
			["hit_z"]  = {"высадили всю обойму", "стреляли в упор", "задели шею", "прямо в лоб", "стреляли в спину", "прострелили обе ноги"},
			["hear_a"] = {"Слышал стрельбу из пистолета", "Слышал выстрелы из пистолета", "Из пистолета, похоже, стреляли"},
			["hear_z"] = {"слышал стрельбу из пистолета", "слышал выстрелы из пистолета", "из пистолета, похоже, стреляли"},
			["hear_p"] = 0.4
	},
	[2] = {
			["name"]   = {"винтовка", "из винтовки", "Из винтовки"},
			["hit_a"]  = {"Наверное, снайпер", "Точно в голову", "Прямо в голову", "Пуля прошла насквозь"},
			["hit_z"]  = {"наверное, снайпер", "точно в голову", "прямо в голову", "пуля прошла насквозь"},
			["hear_a"] = {"Слышал выстрелы из винтовки", "Слышал стрельбу из винтовки", "Похоже, из винтовки стреляли"},
			["hear_z"] = {"слышал выстрелы из винтовки", "слышал стрельбу из винтовки", "из винтовки стреляли, похоже"},
			["hear_p"] = 0.3
	},
	[3] = {
			["name"]   = {"автомат", "из автомата", "Из автомата"},
			["hit_a"]  = {"Наделали кучу дырок", "Полную обойму расстреляли", "Набили свинцом, как индейку", "Сделали из бедняги решето", "Живого места на осталось"},
			["hit_z"]  = {"наделали кучу дырок", "полную обойму расстреляли", "набили свинцом, как индейку", "сделали из бедняги решето", "живого места на осталось"},
			["hear_a"] = {"Слышал автоматные очереди", "Из автомата, похоже, стреляли", "Услышал автоматные очереди"},
			["hear_z"] = {"слышал автоматные очереди", "из автомата, похоже, стреляли", "услышал автоматные очереди"},
			["hear_p"] = 0.6
	},
	[4] = {
			["name"]   = {"дробовик", "из дробовика", "Из дробовика"},
			["hit_a"]  = {"Почти в упор", "Дробью. Мало что осталось", "В упор"},
			["hit_z"]  = {"почти в упор", "дробью - мало что осталось", "в упор"},
			["hear_a"] = {"Слышал выстрел из дробовика", "Из дробовика стреляли"},
			["hear_z"] = {"слышал выстрел из дробовика", "из дробовика стреляли"},
			["hear_p"] = 0.8
	},
	[5] = {
			["name"]   = {"гранатомёт", "из гранатомёта", "Из гранатомёта"},
			["hit_a"]  = {"Только ошмётки остались", "Ничего не осталось почти", "Разорвало на куски"},
			["hit_z"]  = {"только ошмётки остались", "ничего не осталось почти", "разорвало на куски"},
			["hear_a"] = {"Слышал выстрел гранатомёта", "Лупили из гранатомёта", "Похоже, гранатомёт бахнул"},
			["hear_z"] = {"слышал выстрел гранатомёта", "лупили из гранатомёта", "гранатомёт бахнул, похоже"},
			["hear_p"] = 0.9
	},
	[6] = {
			["name"]   = {"нож", "ножом", "Ножом"},
			["hit_a"]  = {"Аккуратно перерезали горло", "Сзади", "Вылилось много крови", "Несколько глубоких ранений"},
			["hit_z"]  = {"аккуратно перерезали горло", "сзади.", "вылилось много крови", "несколько глубоких ранений"},
			["hear_a"] = {""}, -- Ну не слышали мы ножик :)
			["hear_z"] = {""}, -- Ну не слышали мы ножик :)
			["hear_p"] = 0.0
	},
	[7] = {
			["name"]   = {"граната", "гранатой", "Гранатой"},
			["hit_a"]  = {"Осколками посекло сильно", "Взрывом перекрутило страшно", "Оторвало голову", "Оторвало ногу"},
			["hit_z"]  = {"осколками посекло сильно", "взрывом перекрутило страшно", "оторвало голову", "оторвало ногу"},
			["hear_a"] = {"Бабахнула граната", "Слышал взрыв", "Рвануло"},
			["hear_z"] = {"бабахнула граната", "слышал взрыв", "рвануло"},
			["hear_p"] = 0.9
	},
	[8] = {
			["name"]   = {"огнемёт", "из огнемёта", "Из огнемёта"},
			["hit_a"]  = {"Пожгли сильно", "Угольки остались", "Запекли просто"},
			["hit_z"]  = {"пожгли сильно", "угольки остались", "запекли просто"},
			["hear_a"] = {""},
			["hear_z"] = {""},
			["hear_p"] = 0.0
	}
}

 weapon_templates = {
"$weapon_name_3 $kill_z.",
"$weapon_name_3 $kill_z, $prob_z.",
"$weapon_name_3 $kill_z, $sad_z.",
"$weapon_name_3 $kill_z, $weapon_hit_z.",
"$weapon_name_3 $kill_z. $weapon_hit_a.",
"$kill_a $weapon_name_2.",
"$kill_a $weapon_name_2, $prob_z.",
"$kill_a $weapon_name_2, $sad_z.",
"$kill_a $weapon_name_2, $weapon_hit_z.",
"$kill_a $weapon_name_2. $weapon_hit_a.",
"$prob_a $weapon_name_2 $kill_z.",
"$prob_a $weapon_name_2 $kill_z, $weapon_hit_z.",
"$prob_a $weapon_name_2 $kill_z. $weapon_hit_a.",
"$prob_a $weapon_name_2 $kill_z.",
"$prob_a $kill_z $weapon_name_2, $weapon_hit_z.",
"$prob_a $kill_z $weapon_name_2. $weapon_hit_a."
}

 stalker_corpse_templates = {
"$level $seen_z $corpse_z сталкера. $name.",
"$level $when_z $seen_z $corpse_z сталкера. $name.",
"$level $seen_z $corpse_z сталкера. $name, $prob_z.",
"$level $when_z $seen_z $corpse_z сталкера. $name, $prob_z.",
"$level $seen_z $corpse_z сталкера. $name. $sad_a $rate.",
"$level $when_z $seen_z $corpse_z сталкера. $name. $sad_a $rate.",
"$level $seen_z $corpse_z сталкера. $name, $prob_z. $sad_a $rate.",
"$level $when_z $seen_z $corpse_z сталкера. $name, $prob_z. $sad_a $rate.",
"$level $kill_z сталкера. $name.",
"$level $kill_z сталкера. $name, $prob_z.",
"$level $kill_z сталкера. $name. $sad_a $rate.",
"$level $kill_z сталкера. $name, $prob_z. $sad_a $rate.",
"$seen_a $corpse_z сталкера. $name. $level.",
"$seen_a $when_z $corpse_z сталкера. $name. $level.",
"$when_a $seen_z $corpse_z сталкера. $name. $level.",
"$seen_a $corpse_z сталкера. $name, $prob_z. $level.",
"$seen_a $when_z $corpse_z сталкера. $name, $prob_z. $level.",
"$when_a $seen_z $corpse_z сталкера. $name, $prob_z. $level.",
"$kill_a сталкера. $name. $level.",
"$kill_a сталкера. $name, $prob_z. $level.",
"$sad_a $seen_z $corpse_z сталкера. $name. $level.",
"$sad_a $when_z $seen_z $corpse_z сталкера. $name. $level.",
"$sad_a $seen_z $corpse_z сталкера. $name, $prob_z. $level.",
"$sad_a $when_z $seen_z $corpse_z сталкера. $name, $prob_z. $level.",
"$sad_a $kill_z сталкера. $name. $level.",
"$sad_a $kill_z сталкера. $name, $prob_z. $level."
}

 npc_corpse_templates = {
"$level $seen_z $corpse_z $class.",
"$level $when_z $seen_z $corpse_z $class.",
"$level $kill_z $class.",
"$seen_a $corpse_z $class. $level.",
"$seen_a $when_z $corpse_z $class. $level.",
"$when_a $seen_z $corpse_z $class. $level.",
"$kill_a $class. $level.",
"$fun_a, $seen_z $corpse_z $class. $level.",
"$fun_a, $kill_z $class. $level.",
"$fun_a, $when_z $seen_z $corpse_z $class. $level.",
"$fun_a, $when_z $seen_z $corpse_z $class. $corpse_name_a $name. $level.",
"$fun_a, $when_z $seen_z $corpse_z $class. $name, $corpse_name_z. $level.",
"$fun_a, $seen_z $when_z $corpse_z $class. $level."
}

 monster_corpse_templates = {
"$level $seen_z $corpse_z $c_corpse.",
"$level $seen_z $corpse_z $c_corpse. $fun_a.",
"$level $seen_z $corpse_z $c_corpse, $fun_z.",
"$level $when_z $seen_z $corpse_z $c_corpse.",
"$level $when_z $seen_z $corpse_z $c_corpse. $fun_a.",
"$level $when_z $seen_z $corpse_z $c_corpse, $fun_z.",
"$level $seen_z $when_z $corpse_z $c_corpse.",
"$level $seen_z $when_z $corpse_z $c_corpse. $fun_a.",
"$level $seen_z $when_z $corpse_z $c_corpse, $fun_z.",
"$level $kill_z $class.",
"$level $kill_z $class. $fun_a.",
"$level $kill_z $class, $fun_z.",
"$seen_a $corpse_z $c_corpse. $level.",
"$seen_a $corpse_z $c_corpse. $level. $fun_a.",
"$seen_a $when_z $corpse_z $c_corpse. $level.",
"$seen_a $when_z $corpse_z $c_corpse. $level. $fun_a.",
"$seen_a $corpse_z $c_corpse $when_z. $level.",
"$seen_a $corpse_z $c_corpse $when_z. $level. $fun_a.",
"$when_a $seen_z $corpse_z $c_corpse. $level.",
"$when_a $seen_z $corpse_z $c_corpse. $level. $fun_a.",
"$kill_a $class. $level.",
"$kill_a $class. $level. $fun_a.",
"$fun_a, $seen_z $corpse_z $c_corpse. $level.",
"$fun_a, $when_z $seen_z $corpse_z $c_corpse. $level.",
"$fun_a, $seen_z $when_z $corpse_z $c_corpse. $level.",
"$fun_a, $kill_z $class. $level."
}

killer_act_templates = {
"$level $meet_z $class. $hard_a $killed_z.",
"$level $meet_z $class $when_z. $hard_a $killed_z.",
"$level $when_z $meet_z $class. $hard_a $killed_z.",
"$level $when_z $killed_z $class.",
"$meet_a $class. $hard_a $killed_z. $level дело было.",
"$meet_a $class $when_z. $level. $hard_a $killed_z.",
"$meet_a $when_z $class. $level. $hard_a $killed_z.",
"$meet_a $when_z $class. $hard_a $killed_z.",
"$level $when_z чуть с жизнью не попращался: $meet_z $class. $hard_a $killed_z.",
"$when_a $meet_z $class. $hard_a $killed_z. $level это произошло."
}

 hear_sounds_tempates = {
"$level $hear_z.",
"$level $hear_z, $carefull_z.",
"$hear_a. $level.",
"$carefull_a! $level $hear_z.",
"$carefull_a, $hear_z. $level.",
"$level $when_z $hear_z.",
"$level $when_z $hear_z, $carefull_z.",
"$hear_a $when_z. $level.",
"$when_a $hear_z. $level.",
"$carefull_a! $level $when_z $hear_z.",
"$carefull_a, $when_z $hear_z. $level.",
"$level $when_z $hear_z.",
"$level $when_z $hear_z, $carefull_z.",
"$hear_a $when_z. $level.",
"$when_a $hear_z. $level.",
"$carefull_a! $level $when_z $hear_z.",
"$carefull_a, $when_z $hear_z. $level.",
"$carefull_a! $level $when_z $hear_z.",
"$carefull_a, $when_z $hear_z. $level."
}

 spawn_templates = {
"$level $seen_z $class.",
"$level $when_z $seen_z $class.",
"$level $seen_z $class, $carefull_z.",
"$level $when_z $seen_z $class, $carefull_z.",
"$carefull_a! $level $seen_z $class.",
"$carefull_a! $level $when_z $seen_z $class.",
"$seen_a $class. $level.",
"$seen_a $when_z $class. $level.",
"$when_a $seen_z $class. $level.",
"$carefull_a! $seen_a $class. $level.",
"$carefull_a! $seen_a $when_z $class. $level.",
"$carefull_a! $when_a $seen_z $class. $level.",
"$carefull_a, $seen_z $class. $level.",
"$carefull_a, $seen_z $when_z $class. $level.",
"$carefull_a, $when_z $seen_z $class. $level.",
"$seen_a $class. $level. $carefull_a.",
"$seen_a $when_z $class. $level. $carefull_a.",
"$when_a $seen_z $class. $level. $carefull_a."
}

spawn_templates_group = {
"$level $seen_z $count $class.",
"$level $when_z $seen_z $count $class.",
"$level $seen_z $count $class, $carefull_z.",
"$level $when_z $seen_z $count $class, $carefull_z.",
"$carefull_a! $level $seen_z $count $class.",
"$carefull_a! $level $when_z $seen_z $count $class.",
"$seen_a $count $class. $level.",
"$seen_a $when_z $count $class. $level.",
"$when_a $seen_z $count $class. $level.",
"$carefull_a! $seen_a $count $class. $level.",
"$carefull_a! $seen_a $count $class $when_z. $level.",
"$carefull_a! $when_a $seen_z $count $class. $level.",
"$carefull_a, $seen_z $count $class. $level.",
"$carefull_a, $seen_z $when_z $count $class. $level.",
"$carefull_a, $when_z $seen_z $count $class. $level.",
"$seen_a $count $class. $level. $carefull_a.",
"$seen_a $when_z $count $class. $level. $carefull_a.",
"$when_a $seen_z $count $class. $level. $carefull_a."
}

abuse_templates = {
	"Для непонятливых объясняю: если просят убрать оружие, значит лучше убрать, лицо не пострадает. А то припёрся тут один...",
	"Что за народ! Пока по роже не дашь - не понимают, что ствол надо опустить...",
	"Значит так. Ещё один дятел подойдёт ко мне с поднятым оружием - бить по роже больше не буду. Грохну на месте."
}

weather_templates_day = {
	["clear_clear"] = {"Эх, какая погода классная! И не верится, что Зона...", "А погода всё-таки супер. Позагорать бы :)", "Тучка прячется за лес,\\nСмотрит солнышко с небес.\\nИ такое чистое,\\nДоброе, лучистое...\\n\\nЭх, что-то меня на лирику потянуло..."},
	["clear_pasmurno"] = {"Что-то хмурится. Как бы дождь не пошёл...", "Тучи какие-то мрачные...", "Сдаётся, дождь будет. А мы только за хабаром собрались..."},
	["clear_rain"] = {"Кажется, дождь начинается...", "Ну вот - опять дождь.", "Ну и кто там рассказывал, что будет хорошая погода?"},
	["clear_groza"] = {"Ого, нехилая гроза будет.", "Слышали гром? Бабахнуло неслабо.", "У нас тут такое светопредставление - молнии лупят, не переставая."},
	["pasmurno_clear"] = {"А вот и солнышко выглянуло.", "Я же говорил - погода будет хорошая.", "Ух, как здорово! Все тучи разошлись."},
	["pasmurno_pasmurno"] = {"Что-то пасмурно...", "Похоже, солнца мы еще долго не увидим."},
	["pasmurno_rain"] = {"Мдя, вот и дождик...", "Я же говорил - будет дождь.","И вновь дожди обрушились на землю,\\nИ капли разрывают тишину.\\nВокруг вода стекает с мутной пеной,\\nСмывая за собой пожухлую листву."},
	["pasmurno_groza"] = {"Ого, нехилая гроза будет.", "Слышали гром? Бабахнуло неслабо.", "У нас тут такое светопредставление - молнии лупят, не переставая."},
	["rain_clear"] = {"А вот и солнышко выглянуло.", "Я же говорил - погода будет хорошая.", "Ух, как здорово! Все тучи разошлись."},
	["rain_pasmurno"] = {"Хорошо, хоть дождь закончился.", "Хоть капать перестало.", "Похоже, дождь закончился.", "Не радуйтесь, что дождь закончился - на тучи посмотрите."},
	["rain_rain"] = {"Кто знает, этот дождь вообще закончится когда-то?", "Все льёт и льёт...", "Дробь дождя по тёмным крышам – \\nПерезвоны кастаньет. \\nТихий шорох еле слышен. \\nВ сером дыме сигарет \\nРастворились ароматы \\nС неба льющейся воды... \\nИ под звонкие раскаты \\nСоткан мир из пустоты. \\n\\nЭх... А я ведь когда-то серьёзно стихи писал."},
	["rain_groza"] = {"Гром гремит. Значит, не просто дождик - гроза.", "Слышали гром? Бабахнуло неслабо."},
	["groza_clear"] = {"А вот и солнышко выглянуло.", "Я же говорил - погода будет хорошая.", "Ух, как здорово! Все тучи разошлись."},
	["groza_pasmurno"] = {"Хоть лить перестало.", "Похоже, гроза закончилась.", "Не радуйтесь, что гроза закончилась - на тучи посмотрите."},
	["groza_rain"] = {"Все льёт и льёт...", "А ведь больше не слышно грома, заметили?", "Молний не видно. Похоже, гроза заканчивается."},
	["groza_groza"] = {"Все льёт и льёт...", "Интересно, гроза вообще прекратится?", "Вот блин! Только соберёшься идти - сразу дождь как из ведра."}
}

weather_templates_night = {
	["clear_clear"] = {"Эх, какая погода классная! И не верится, что Зона...", "А погода всё-таки супер."},
	["clear_pasmurno"] = {"Как бы дождь не пошёл...", "Тучи какие-то мрачные...", "Сдаётся, дождь будет..."},
	["clear_rain"] = {"Кажется, дождь начинается...", "Ну вот - опять дождь.", "Ну и кто там рассказывал, что будет хорошая погода?"},
	["clear_groza"] = {"Ого, нехилая гроза будет.", "Слышали гром? Бабахнуло неслабо.", "У нас тут такое светопредставление - молнии лупят, не переставая."},
	["pasmurno_clear"] = {"Я же говорил - погода будет хорошая.", "Ух, как здорово! Все тучи разошлись."},
	["pasmurno_pasmurno"] = {"Что-то пасмурно...", "Похоже, чистого неба мы ещё долго не увидим."},
	["pasmurno_rain"] = {"Мдя, вот и дождик...", "Я же говорил - будет дождь.","И вновь дожди обрушились на землю,\\nИ капли разрывают тишину.\\nВокруг вода стекает с мутной пеной,\\nСмывая за собой пожухлую листву."},
	["pasmurno_groza"] = {"Ого, нехилая гроза будет.", "Слышали гром? Бабахнуло неслабо.", "У нас тут такое светопредставление - молнии лупят, не переставая."},
	["rain_clear"] = {"Дождь закончился.", "Я же говорил - погода будет хорошая.", "Ух, как здорово! Все тучи разошлись."},
	["rain_pasmurno"] = {"Хорошо, хоть дождь закончился.", "Хоть капать перестало.", "Похоже, дождь закончился.", "Не радуйтесь, что дождь закончился - на тучи посмотрите."},
	["rain_rain"] = {"Кто знает, этот дождь вообще закончится когда-то?", "Все льёт и льёт...", "Дробь дождя по тёмным крышам – \\nПерезвоны кастаньет. \\nТихий шорох еле слышен. \\nВ сером дыме сигарет \\nРастворились ароматы \\nС неба льющейся воды... \\nИ под звонкие раскаты \\nСоткан мир из пустоты. \\n\\nЭх... А я ведь когда-то серьёзно стихи писал."},
	["rain_groza"] = {"Гром гремит. Значит, не просто дождик - гроза.", "Слышали гром? Бабахнуло неслабо."},
	["groza_clear"] = {"Я же говорил - погода будет хорошая.", "Ух, как здорово! Все тучи разошлись."},
	["groza_pasmurno"] = {"Хоть лить перестало.", "Похоже, гроза закончилась.", "Не радуйтесь, что гроза закончилась - на тучи посмотрите."},
	["groza_rain"] = {"Все льёт и льёт...", "А ведь больше не слышно грома, заметили?", "Молний не видно. Похоже, гроза заканчивается."},
	["groza_groza"] = {"Все льёт и льёт...", "Интересно, гроза вообще прекратится?", "Вот блин! Только соберёшься идти - сразу дождь как из ведра."}
}


actor_seen_public_templates = {
"$level $kill_seen_z, как один сталкер $killed_z $class.",
"$level $when_z $kill_seen_z, как один сталкер $killed_z $class.",
"$level $kill_seen_z, как один сталкер $killed_z $class, $fun_z.",
"$level $when_z $kill_seen_z, как один сталкер $killed_z $class, $fun_z.",
"$kill_seen_a, как один сталкер $killed_z $class. $level.",
"$kill_seen_a $when_z, как один сталкер $killed_z $class. $level.",
"$when_a $kill_seen_z, как один сталкер $killed_z $class. $level.",
"$kill_seen_a, как один сталкер $killed_z $class. $level. $fun_a.",
"$kill_seen_a $when_z, как один сталкер $killed_z $class. $level. $fun_a.",
"$when_a $kill_seen_z, как один сталкер $killed_z $class. $level. $fun_a."
}

actor_seen_public_templates_group = {
"$level $kill_seen_z, как один сталкер $killed_z $count $class.",
"$level $when_z $kill_seen_z, как один сталкер $killed_z $count $class.",
"$level $kill_seen_z, как один сталкер $killed_z $count $class, $fun_z.",
"$level $when_z $kill_seen_z, как один сталкер $killed_z $count $class, $fun_z.",
"$kill_seen_a, как один сталкер $killed_z $count $class. $level.",
"$kill_seen_a $when_z, как один сталкер $killed_z $count $class. $level.",
"$when_a $kill_seen_z, как один сталкер $killed_z $count $class. $level.",
"$kill_seen_a, как один сталкер $killed_z $count $class. $level это случилось. $fun_a.",
"$kill_seen_a $when_z, как один сталкер $killed_z $count $class. $level. $fun_a.",
"$when_a $kill_seen_z, как один сталкер $killed_z $count $class. $level. $fun_a."
}

heli_templates = {
	["seen"] = {
		"$level пролетел вертолёт. $carefull_a.", 
		"$when_a видел вертолёт. $level.", 
		"$level пролетел вертолёт. Не высовываемся, я не знаю, какие у них указания.",		
		"Так. $level только что надо мной вертолёт пролетел. Народ, $carefull_z!",
		"$level надо мной $when_a вертолёт пролетел. Какого, собственно, чёрта они сейчас разлетались? Не слышал ни о каких планируемых здесь зачистках или операциях, а источники у меня надёжные. Что-то серьёзное произошло. $carefull_a."
	},
	["combat"] = {
		"$carefull_a! $level сейчас жарко - вертушка утюжит местность.", 
		"Слышал переговоры военных - у них вертолёт кого-то хорошо прижал. $level.", 
		"$carefull_a! $level вертолёт кружит. Похоже, ищут кого-то.",
		"Мать же вашу... $level вертушка кого-то обстреливает. Не повезло парню.",
		"$carefull_a! В укрытия, ммать! Тут вертушка кого-то ищет, если кого-то мимоходом заметят, живыми не выберетесь!",
		"$carefull_a! $level, похоже, какой-то идиот вертолёт решил обстрелять. Он труп.",
		"Вертолёт кружит, кого-то обстреливает. $level."
	},
	["flame"] = {
		"Слышал переговоры военных - кто-то конкретно обстелял их вертолёт. $level.", 
		"$level вертолёт подбили. Сейчас подмога появится...", 
		"$carefull_a! $level подбили вертолёт.", 
		"$level вертолёт хорошо приложили, как бы рейд не устроили.",
		"Ух, мать. $level вертолёт обстреляли, причём капитально так, у них двигатель загорелся. Матерятся в эфире и валятся куда-то в сторону!",
		"$level наблюдаю вертолёт, его подбили! Валится вниз! Нихрена себе его кто-то приложил.",
		"Какой-то самоубийца дострелялся до того, что подбил вертолёт! $level! Ну, вообще... это ж надо."
	},
	["die"] = {
		"$level грохнулся вертолёт.", 
		"$carefull_a! $level сбили вертолёт.", 
		"$level упал вертолёт, $carefull_z.", 
		"Слышал переговоры военных - у них вертолёт сбили. $level.",
		"Мать! $level вертолёт грохнулся, $carefull_z!",
		"Военные матерятся так, что уши в трубочку сворачиваются. Это ж надо... видать, не каждый день вертолёты теряют.",
		"Ух, ё-моё... как рвануло-то. Серьёзно вертолёт приложили. $level.",
		"Видимо, от пилотов даже ничего не осталось. $level. Это ж надо, так вертолёт разнести. Мда..."		
	},
	["retreat"] = {
		"$level вертолёт куда-то полетел. $carefull_a.", 
		"$when_a видел вертолёт. Развернулся и куда-то полетел. $level.",
		"Ммать... Ну и мат у военных сейчас в эфире стоит. $level вертолёт обстреляли. У них там какой-то рейд, но они приказывают срочно возвращаться."
	}
}

wound_templates = {
	["single"] = {"\"Мэй Дэй\"! $level вляпался, идти не могу. Долго не продержусь...", "СОС! $level зажали, аптечки закончились, патронов почти нет. Мужики, выручайте...", "\"Мэй Дэй\"! У меня не...\\n\\nПотап\\nЯ успел поймать источник сигнала. $level.", "Выручайте! $level зажали! Долго не продержусь!", "Ммать, да сколько же их тут... Мужики, я один не продержусь! Кто может, двигайте ко мне! $level нахожусь.", "У меня большие проблемы. Очень большие. $level. Если поблизости никого нет, то меня скоро с вами не будет. Мужики, выручайте.", "Ммать, здесь засада! \"Мэй Дэй\"! $level нахожусь, выручайте!", "Твою ж мать! Сколько их тут! На помощь, мне в одиночку с ними не справиться! $level пока ещё отстреливаюсь.", "Перехватил переговоры каких-то сволочей, у них засада на одного сталкера. $level.", "На помощь! Патронов мало, медикаментов - и того меньше. Пришёл на точку. Видимо, меня здесь ждали! $level сейчас, долго отбиваться не смогу!" },
	["group"] = {"$level засёк \"Мэй Дэй\"! $name. Двигаюсь по пеленгу, желающие помочь – помогайте.", "СОС! $level зажали, несу раненого $name! Мужики, выручайте...", "Внимание всем! $name попал в переделку. $level, мой КПК ловит СОС оттуда. Кто там рядом - спасайте.", "Выручайте, мать вашу! Нам тут сейчас всё поотрывают! $level зажали! Ммать, да есть кто-нибудь рядом?!", "На помощь! У нас серьёзные проблемы, кто может - выручайте! $level мы.", "Чёрт, у нас тут большие проблемы! У нас раненый, $name, мы долго не продержимся! $level сидим.", "Пришли по пеленгу на \"Мэй Дэй\", $name отправил. Ммать, нас тут ждали! Выручайте, мы долго не продержимся!", "СОС! $level попали в засаду, пока держимся, но не думаю, что это продлится долго. Нужна помощь, буду благодарен.", "Перехватил просьбу о помощи от какой-то группы сталкеров. Передатчик у них хреновый, одни помехи. Всё, что удалось сделать - это взять пеленг. $level находится источник сигнала. Кто рядом - выручайте.", "Парни, выручайте, тут у нас серьёзные проблемы, есть раненый! $level мы находимся." }
}

blowout_templates = { 
	{text = "Встретил Болотного Доктора... ну, как встретил... он меня полечил немного от укусов собачек слепых, но это не важно. Важно то, что он предупредил о Выбросе. Говорит, что Выброс случится $when, так что всем в норы!"},
	{text = "Заходил к экологам на Янтаре. Так они предупредили, что по их замерам Выброс будет $when."},
	{text = "Сахаров предупредил, что $when Выброс будет. Так что ищите себе норку поуютнее.", alive=902},	
	{text = "Круглов предупредил, что $when Выброс будет. Так что ищите себе норку поуютнее.", alive=900},	
	{text = "Парни, у меня аппаратура уже зашкаливать начала. Скорее всего, Выброс будет $when."},
	{text = "Зверьё зашевелилось. Скоро Выброс. Скорее всего, $when."},
	{text = "Ищите укрытие понадёжней, Выброс - $when."},
	{text = "Сахаров говорит, у него аппаратура даёт приблизительную оценку, что Выброс - $when.", alive=902},
	{text = "Когда был у Сахарова, он упомянул о Выбросе. Будет $when.", alive=902},
	{text = "Мне сообщили, что Выброс - $when. Каналы у меня надёжные, так что, скорее всего, так оно и есть. Осторожнее там."},
	{text = "Выброс будет $when. Точно говорю."}
}

reward_phrases_authors = {
	["trader"] = "Sidorovich",
	["barman"] = "Barman"
}

reward_phrases_templates = {
	["trader"] = {"Тут заходил $who, оставил тебе кое-что. Будешь рядом - забери.", "Тебя благодарил $who. Говорил, ты $target убил. Оставил у меня свёрток для тебя.", "$who тебе спасибо говорил за $target. Заходи.", "Меченый, тут $who заходил. Радостный, улыбка до ушей. Свёрток передал, говорит, это тебе благодарность.", "Тут $who заходил и передал тебе кое-что. Будешь неподалеку - заходи, забери своё добро. Благодетель.", "Да, Меченый... пришёл тут $who, тебе просил благодарность передать. Свёрток оставил, будешь рядом - забери."},
	["barman"] = {"Тут заходил $who, оставил тебе кое-что. Будешь рядом - забери.", "Тебя благодарил $who. Говорил, ты $target убил. Оставил у меня свёрток для тебя.", "$who тебе спасибо говорил за $target. Заходи.", "Меченый, тут зашел какой-то субъект, говорит, тебя ищет. Огорчился, когда узнал, что тебя нет. Передал он мне кое-что в благодарность за какое-то дело. В общем, заходи.", "Тут $who заходил, оставил тебе передачу. Говорит, ты очень ему помог, а он такого не забывает. Будет время - забери." }
}

--"Статус соединения:"
connect_templates = {
	"Связь восстановлена.",
	"Приём сигнала возобновлён.",
	"Подключение к сети...",
	"Уровень сигнала восстановлен.",
	"Подключение к серверу..."
}

disconnect_templates = {
	"Нет подключения к серверу.",
	"Связь прервана.",
	"Низкий уровень сигнала.",
	"Прием невозможен, связь потеряна.",
	"Сигнал отсутствует."
}

-- 23:00 - 04:00
night_templates = {
	{	texts = {
		"Мужики, странные дела по ночам творятся... переговоры слышали когда-нибудь?",
		"Ага. И ведь не ясно, кто это... что там происходит? Опыты какие-то, операции... а мы и знать не знаем, и только часть просачивается наружу...",
		"Думаю, вам лучше не знать всего. Спокойнее спать будете."
		}
	}, 
	{	texts = {
		"Проникли в южный тоннель Объекта. Идёт вниз, скоро спустится под землю. Из окон виден Рыжий лес. Пока тихо.",
		"С вами пропадает радиосвязь. Поставьте на выходе выносной транслятор или продолжайте вести передачу текстом, как это делаете сейчас.",
		"Хорошо. Да, закройте канал. Нам ни к чему лишние слушатели, ведь так?"
		}, comments = "strange", prob=0.5
	},
	{	texts = {
		"...[ошибка передачи] перекройте тоннель, разбейтесь на группы и прочёсывайте подземную часть Объекта. Держать постоянную связь. При молчании со стороны хоть одной из ушедших групп - возращаться всем.",
		"Сокол, что... [ошибка передачи] ...которые могут появится? Во время прошлого спуска исчезла целая разведгруппа.",
		"Что до защитных мер, то сущест... [ошибка передачи] ...обитающих здесь, то... [ошибка передачи] ...не обнаружено. Далеко не заходить. Точка невозвращения - два часа. По их истечении мы уходим."
		}, comments = "strange", prob=0.5
	},
	{	texts = {
		"Аякс, немедленно выйдите на связь. Повторяю, немедленно. Мы должны отбыть через шесть минут, пока не началось."
		}, comments = "strange", prob=0.3
	},
	{	texts = {
		"Подопытные демонстрируют недюжинную сообразительность. Что вы думаете на этот счёт, Андрей Ильич?",
		"Действительно, занятное поведение... особенно при подобных дозах излучения... Стоп! Немедленно переходите на шифрованный канал связи! Какого чёрта?!"
		}, comments = "strange", prob=0.8
	},
	{	texts = {
		"Кандид, у нас оборудование ведёт себя странно... молчат все дозиметры и датчики, а у Сергея вышел из строя КПК... тут и связь глохнет... какие будут приказания?",
		"Валите оттуда! Валите! Быстрее, мать вашу!"
		}, comments = "strange", prob=0.5
	},
	{	texts = {
		"Нашли центр наблюдения?",
		"Да, нашли. Часть оборудования ещё цела. Большинство камер отключены, но датчики движения ещё работают... сейчас, тут есть схема с индикацией... вы здесь, а... ммать, а это что?! Сваливайте, к вам из северных коридоров движется очень быстро группа объектов! Чёрт, ещё! В шахтах вентиляции... [ошибка, передача прервана]"
		}, comments = "strange", prob=0.8
	},
	{	texts = {
		"Поднимите мощность на десять процентов. Да, и передайте связистам, чтобы перешли на другой канал... этот, кажется, не зашифрован..."
		}, comments = "strange", prob=0.5
	},
	{	texts = {
		"Полковник, вертолёт с опытной установкой подавления упал в районе Радара час назад. Немедленно, я повторяю, немедленно вышлите группу на место крушения. Меня не волнуют средства. Вам будет предоставлена вся необходимая экипировка.",
		"Включите шифрование, вашу ж мать! Будем на месте через 12 часов."
		}, comments = "strange", prob=0.8
	}
}

-- 04:30 - 07:00
morning_templates = {
	"Мужики, рассветает... красиво-то как.",
	"Рассветает...",
	"Народ, тут это, рассветает - думаю, можно уже выдвигаться, мало на кого теперь натолкнёмся, не то что ночью.",
	"Рассвело. Выдвигаемся, сейчас более-менее безопасно.",
	"Мужики, подъём! Утро уже!",
	"Эх, мужики! Наконец-то светает, а то устал уже я дрожать от страха в темноте. Уж лучше при свете дня... дрожать...",
	"Меня кто-нибудь слышит? Сегодня ночью пропала группа наших ребят. Должны были вернуться к утру с Агропрома. До сих пор нет. Через час отправляемся на поиски. Присоединяйтесь.",
	"Чёрт, кто придумал утро... Сегодня ж всю ночь пили... Повар, сволочь, водку палёную опять притащил откуда-то... \"Свобода\", спим дальше... рейд на базу \"Долга\" подождёт...",
	"Мужики, вы бы видели, какой тут на Янтаре рассвет. Это что-то... И страшно, и красиво... И трупы снорков так классно дрейфуют в искрящейся в утреннем солнце глади озера... Романтика..."
}

-- 20:30 - 22:00
evening_templates = {
	"Чёрт, мужики, вы как хотите, а я за хабаром сегодня уже не пойду. Ночь скоро...",
	"Не, не пойду я уже никуда. Поздно уже, скоро дряни всякой повылазит...",
	"Так, закат уже... потихоньку возвращайтесь, сейчас в Зоне небезопасно.",
	"Идите-ка вы, мужики... в ночь... на кровососов... одни. Экстремалы, блин.",
	"Ну что? Кто со мной пойдёт валить стаю псевдособак? А то я боюсь ночью в палатке спать, вдруг этот... тёмный... водички опять попросит... Уж лучше побродить где-нибудь...",
	"Луна скоро взойдёт... Чёрт, не успеваю до лагеря добраться... Мужики есть кто поблизости? Чую, меня какая-то тварь уже преследует.",
	"Всем внимание! Учёные сообщают о подозрительной активности мутантов на Янтаре этой ночью. Всем оставаться в лагерях."
}

comments_templates = {
	["strange"] = {
		"Так. Это что за хрень была?",
		"Ммать... что тут по ночам творится?",
		"Опять на незакрытом канале появились. Бывает.",
		"Забыли шифрование включить? Ну-ну...",
		"Что это было?",
		"Вашу ж мать... и так по ночам жутко...",
		"Опять какие-то операции проводят.",
		"Бывает. Я однажды сканировал частоты, наткнулся на переговоры военных сталкеров... знаете, лучше вам не знать всего, что здесь происходит. Спокойнее спать будете.",
		"Кто это? Военные? Учёные? Шутники? Или кто-то... другой?",
		"Странно.",
		"По ночам устраивают... по-тихому, так сказать...",
		"Мда. Вообще, с ними редко бывает, чтобы частоты забыли закрыть.",
		"Кто же это мог быть...",
		"Да... это вам не байки про чёрного... у нас же под самым носом жуть какая-то творится..."
	}
}

smart_filters = {
	["military"] = {"esc_bridge", "esc_blokpost", "agr_nii", "agr_factory_hold"},
	["bandit"] = {"gar_bandit_agr", "val_lager_bandits"},
	["killer"] = {"mil_mercs"},
	["zombied"] = {"yantar_zombies", "yan_st_zombie1", "yan_st_zombie2", "yan_st_zombie3", "yan_st_zombie4", "rad_zombied1", "rad_zombied2", "rad_before_tramplin_ambush"},
	["zombie"] = {"yantar_zombies"},
	["dog"] = {"esc_boars_dogs"},
	["boar"] = {"esc_boars_dogs"},
	["flesh"] = {"esc_flesh_1", "esc_flesh_2"},
	["arena_enemy"] = {"bar_arena_monstr"},
	["arena_monstr"] = {"bar_arena_monstr"}
}

miniquest_rewards = {
	["novice"] = {
		"ammo_9x18_pmm","ammo_9x19_pbp","ammo_11.43x23_hydro","ammo_12x76_zhekan",
		"af_vyvert","af_medusa","af_gravi","af_blood","af_fireball","af_ameba_mica","af_cristall_flower", "af_soul", "wpn_mp5_m2","wpn_ak74u", 
		"treasure_item", "treasure_item", "treasure_item", "treasure_item", "treasure_item", "treasure_item", "treasure_item", "treasure_item"
	},
	["experienced"] = {
		"ammo_7.62x54_ap", "ammo_7.62x54_7h14","ammo_5.45x39_ap","ammo_5.56x45_ap","ammo_vog25p","ammo_vog25","ammo_m209",
		"af_cry_1", "af_ameba_slime","af_ameba_slug","af_drops","af_mincer_meat","af_electra_sparkler","af_rusty_thorn","af_rusty_kristall","af_dummy_glassbeads", 
		"treasure_item", "treasure_item", "treasure_item", "treasure_item", "treasure_item", "treasure_item", "treasure_item", "treasure_item"
	},
	["veteran"] = {
		"ammo_12x76_dart","ammo_9x39_ap","ammo_9x39_sp5","ammo_og-7b","ammo_vog25p",
		"af_babka_1", "af_pudd_1", "af_dik_1", "af_kol_1", "af_armor_1", "af_dummy_pellicle","af_rusty_sea_urchin","af_electra_flash","af_soul","af_dummy_spring","af_gold_fish","af_dummy_battery","af_dummy_dummy", 
		"treasure_item", "treasure_item", "treasure_item", "treasure_item", "treasure_item", "treasure_item", "treasure_item", "treasure_item"
	},
	["master"] = {
		"af_spirit_2", "af_cry_2", "af_babka_2", "af_pudd_2", "af_dik_2", "af_kol_2", "af_armor_2", "af_cristall","af_dummy_glassbeads","af_night_star","af_electra_moonlight", "af_dummy_pellicle","af_dummy_battery", "af_dummy_dummy", "af_ameba_mica", "af_dummy_spring","af_spirit_1",
		"ammo_7.62x54_ap","ammo_7.62x54_7h14","ammo_gauss",
		"treasure_item", "treasure_item", "treasure_item", "treasure_item", "treasure_item", "treasure_item", "treasure_item", "treasure_item"		
	}
}

class_templates = {
	["stalker_novice"] = {"gar_stalker_respawn_1", "ds_stalker_respawn_1", "bar_stalker_respawn_3"},
	["stalker_experienced"] = {"agr_stalker_regular", "gar_stalker_respawn_2", "ds_stalker_respawn_2", "bar_stalker_respawn_4"},
	["stalker_veteran"] = {"agr_stalker_veteran", "bar_stalker_respawn_1"},
	["stalker_master"] = {"mil_neutral_barier_respawn_1", "mil_stalker_respawn_3", "bar_stalker_respawn_2"},
	["bandit_novice"] = {"agr_bandit_respawn_1", "gar_bandit_respawn_1", "ds_bandit_respawn_1", "val_bandit_respawn_1"},
	["bandit_experienced"] = {"agr_bandit_respawn_2", "gar_bandit_respawn_2", "ds_bandit_respawn_2", "val_bandit_respawn_2"},
	["bandit_veteran"] = {"ds_bandit_respawn_3", "val_bandit_respawn_3"},
	["bandit_master"] = {"val_bandit_respawn_4"},
	["military_novice"] = {""},
	["military_experienced"] = {"agr_soldier_regular"},
	["military_veteran"] = {"agr_soldier_veteran", "rad_specnaz_respawn_specnaz", "val_soldier_respawn_1"},
	["military_master"] = {"rad_soldier_master"},
	["killer_novice"] = {""},
	["killer_experienced"] = {"mil_killer_respawn_3", "ros_killer_respawn_3"},
	["killer_veteran"] = {"mil_killer_respawn_1", "mil_killer_respawn_2"},
	["killer_master"] = {"mil_killer_respawn_4"},
	["monolith_novice"] = {""},
	["monolith_experienced"] = {"pri_monolith_respawn_1", "rad_monolith_respawn_1"},
	["monolith_veteran"] = {"pri_monolith_respawn_2", "rad_monolith_respawn_2"},
	["monolith_master"] = {"mil_monolit_rush_respawn_1", "pri_monolith_respawn_3", "rad_monolith_respawn_3"},
	["zombied_novice"] = {"rad_zombied_respawn_1", "yan_zombied_respawn_1", "amk_zombied_1"},
	["zombied_experienced"] = {""},
	["zombied_veteran"] = {"rad_zombied_respawn_2", "yan_zombied_respawn_2", "amk_zombied_2"},
	["zombied_master"] = {"rad_zombied_respawn_3", "yan_zombied_respawn_3", "amk_zombied_3"},
	["dolg_novice"] = {""},
	["dolg_experienced"] = {"gar_dolg_respawn_1", "gar_dolg_respawn_2", "bar_dolg_respawn_1"},
	["dolg_veteran"] = {"bar_dolg_respawn_2"},
	["dolg_master"] = {"bar_dolg_respawn_3"},
	["green_experienced"] = {"marsh_hunters_respawn_1", "bar_ohotnik_respawn_1", "aver_hunter_respawn_1"},
     ["sniper_veteran"] = {"land_arhara_sniper_respawn_1"},
     ["sniper_master"] = {"aver_arhara_sniper_makrogulag2_respawn_2", "aver_arhara_sniper_mikrogulag1_respawn_1", "aver_arhara_sniper_respawn_1", "aver_arhara_sniper_respawn_2"},
	["freedom_novice"] = {""},
	["freedom_experienced"] = {"mil_freedom_respawn_2", "rad_freedom_respawn_2"},
	["freedom_veteran"] = {"mil_freedom_respawn_1", "rad_freedom_respawn_1"},
	["freedom_master"] = {"mil_freedom_respawn_3", "mil_freedom_respawn_sniper", "mil_freedom_barier_respawn_1", "rad_freedom_respawn_3"}
}

do_seen_monster_templates = {
	{	enabled = true, text ="Только что около заброшенной фермы на Кордоне нашли окровавленный труп. Похоже на работу кровососа.",
		spawn = {
			{class = "bloodsucker_weak", count = 1, point = {-2.46, 2.58, 83.14}, lv = 273930 , gv = 85 }
		},
		reward = {from = "author", r_type="money", c_min = 10, c_max = 50}
	},		
	{	enabled = true, text ="Ох, эти тушканчики! Заманали! Опять в лагерь новичков как дерьма набежало, так что кто боится грызунов, то пока к нам не суйтесь.",
		spawn = {
			{class = "tushkano_normal", count = 1, point = {-221.00, -19.93, -158.54}, lv =32809, gv =47}
		},
		has_info = "escape_lager_killers_die, escape_lager_complete, esc_fanat_die"
	},		
	{	enabled = true, text ="Недалеко от лагеря на Кордоне под мостом видели псевдособаку. Всем, кто туда направляется, быть осторожными.",
		spawn = {
			{class = "pseudodog_normal", count = 1, point = {-64.17, -9.84, -49.40}, lv = 210981, gv = 77}
		},
		reward = {from = "author", r_type="money", c_min = 10, c_max = 50}		
	},
	{	enabled = true, text ="На АТП забрёл псевдогигант, зараза, и заблокировал проход к Свалке. Кто может, прошу, завалите эту тварь.",
		spawn = {
			{class = "gigant_normal", count = 1, point = {65.17, 7.49, 605.40}, lv = 354789, gv = 214}
		},
		reward = {from = "author", r_type="money", c_min = 10, c_max = 50}
	},		
	{	enabled = true, text ="На кладбище заброшенной техники на Свалке кровосос порвал группу бандитов. Всем быть осторожными.",
		spawn = {
			{class = "bloodsucker_weak", count = 1, point = {-132.87, -1.90, -206.22}, lv = 83306, gv = 269}
		},
		has_info = "gar_hellcar_help, gar_hellcar_reject",
		reward = {from = "author", r_type="money", c_min = 10, c_max = 50}
	},		
	{	enabled = true, text ="Рядом с входом в катакомбы на Агропроме видели стаю плотей.",
		spawn = {
			{class = "flesh_weak", count = 2, point = {-81.93, 2.40, 41.44}, lv = 158982, gv = 662}
		}
	},
	{	enabled = true, text ="На Агропроме на фабрике огненный полтергейст поджарил группу сталкеров.",
		spawn = {
			{class = "poltergeist_flame", count = 1, point = {-21.78, 5.23, 8.43}, lv = 218746, gv = 485}
		},
		has_info = "agr_krot_task_complete, agr_find_gunslinger_cache_found, agr_krot_secret_info",
		reward = {from = "author", r_type="money", c_min = 10, c_max = 50}
	},
	{	enabled = true, text ="Только что на просторах Агропрома видели какую-то тварь, похожую на кровососа.",
		spawn = {
			{class = "bloodsucker_normal", count = 1, point = {-79.20, 12.04, -113.22}, lv = 160200, gv = 698}
		},
		reward = {from = "author", r_type="money", c_min = 10, c_max = 50}
	},
	{	enabled = true, text ="На Агропроме около ржавого автобуса был замечен псевдогигант, сидел отдыхал, зараза, по всей видимости издалека пришёл.",
		spawn = {
			{class = "gigant_normal", count = 1, point = {159.31, 0.19, 28.29}, lv = 386144, gv = 584}
		},
		reward = {from = "author", r_type="money", c_min = 10, c_max = 50}		
	},
	{	enabled = true, text ="Перехватил вот разговор военных из Агропрома. Короче, вызывали подмогу: на их базу нехилая стая псов набросилась.",
		spawn = {
			{class = "dog_normal", count = 6, point = {-82.35, -1.02, -179.61}, lv = 157957, gv = 438}
		}
	},				
	{	enabled = true, text ="Только что недалеко от болота в Тёмной долине видели, как псевдогигант повалил двух кабанов. Зрелище не для слабонервных.",
		spawn = {
			{class = "gigant_normal", count = 1, point = {83.91, -2.95, -272.86}, lv = 277256, gv = 930}
		},
		reward = {from = "author", r_type="money", c_min = 10, c_max = 50}
	},
	{	enabled = true, text ="На Армейских складах на хуторе псевдособаки утащили одного сталкера. Сейчас, наверное, месиво начнётся.",
		spawn = {
			{class = "pseudodog_normal", count = 1, point = {-194.27, -12.65, 65.62}, lv = 130834, gv = 1657}
		}
	},
	{	enabled = true, text ="Рядом с бывшей остановкой на Армейских складах присел на передышку псевдогигант.",
		spawn = {
			{class = "gigant_normal", count = 1, point = {-144.18, -21.13, 117.02}, lv = 175287, gv = 1660}
		},
		reward = {from = "author", r_type="money", c_min = 10, c_max = 50}
	},
	{	enabled = true, text ="Вчера ночью один сталкер видел, как в деревню кровосов мигрировало еще где-то два-три кровососа. Жуть!",
		spawn = {
			{class = "bloodsucker_normal", count = 2, point = {-216.25, -20.48, 245.60}, lv = 112657, gv = 1766},
			{class = "tushkano_normal", count = 1, point = {-239.43, -22.05, 258.71}, lv = 93353, gv = 1785}
		},
		reward = {from = "author", r_type="money", c_min = 10, c_max = 50}
	},		
	{	enabled = true, text ="Большая стая плотей пронеслась по минному полю \"Свободы\". Половина подохла, а остальные так и ошиваются там на просторах.",
		spawn = {
			{class = "flesh_weak", count = 2, point = {70.91, -10.59, 233.36}, lv = 368619, gv = 1739}
		}
	},
	{	enabled = true, text ="На Армейских складах на болоте были замечены снорки, количество мне не уточнили. Не попадитесь.",
		spawn = {
			{class = "snork_normal", count = 1, point = {117.43, -11.69, 162.30}, lv = 407556, gv = 1642}
		}
	},
	{	enabled = true, text ="Поймал сообщение каких-то сталкеров с просьбой о помощи... кричали, что напоролись на химеру. $where. Когда я наконец нашёл их там, они уже были мертвы. И знаете... их ведь не химера убила, точно говорю... они все в каких-то ожогах, как от \"Электры\"... в общем, осторожнее. Дрянь тут какая-то новая завелась, скорее всего.",
		spawn = {
			{class = "chimera_grey", count = 1, point = {2.56,1.24,-41.24}, lv = 177375 , gv = 1049 }
		},
		reward = {from = "author", r_type="money", c_min = 30, c_max = 70}
	},
	{	enabled = true, text ="Сталкеры! Несколько часов назад \"Долг\" понёс тяжёлые потери от неизвестных тварей. Всех, кто располагает информацией о мутациях, произошедших в существах Зоны после последнего Выброса, просим помочь. $where произошло нападение...",
		spawn = {
			{class = "chimera_xray", count = 1, point = {-175.68,-0.00,172.21}, lv = 31609 , gv = 1331 }
		},
		author = "\"Duty\"", icon = "dolg",
		reward = {from = "author", r_type="money", c_min = 30, c_max = 70}
	},
	{	enabled = true, text ="Сапсан, наблюдаю перестрелку. $where... группа сталкеров ведет бой с крупным мутантом... не разобрать... иду на снижение. Да, переключите канал на другую частоту, этот прослушивается...",
		spawn = {
			{class = "gigant_normal", count = 1, point = {14.07,-3.63,7.17}, lv = 15238 , gv = 1877 }
		},
		author = "[источник неизвестен]", icon = "uniq",
		reward = {from = "author", r_type="money", c_min = 30, c_max = 70}
	},
	{	enabled = true, text ="\"Долг\" сообщает о какой-то новой разновидности химер. У них сорвался рейд... $where шли на зачистку логова мутантов, и вдруг... в общем, отряд порвали за несколько секунд. И это точно не обычная химера... не может она... столько человек разом...",
		spawn = {
			{class = "chimera_strong", count = 1, point = {-164.50,-0.20,-201.21}, lv = 72576 , gv = 554 }
		},
		reward = {from = "author", r_type="money", c_min = 30, c_max = 70}
	},
	{	enabled = true, text ="Экологи говорят, что с химерами после Выброса что-то не то... у них начались какие-то странные новые мутации... осторожнее. Да, если это кому-то поможет, некоторое время назад видел химеру. $where бегала, тварь. Бог знает, нормальная она или нет...",
		spawn = {
			{class = "chimera_grey", count = 1, point = {-58.47,-12.51,-256.30}, lv = 17990 , gv = 1454 }
		},
		reward = {from = "author", r_type="money", c_min = 30, c_max = 70}
	},
	{	enabled = true, text ="Сталкеры! $where, по нашим данным, появилась... необычная тварь. Скорее всего, новая разновидность химеры, мутировавшей под воздействием последнего Выброса. Будьте осторожны.",
		spawn = {
			{class = "chimera_xray", count = 1, point = {-16.08,-0.20,-1.09}, lv = 224157 , gv = 466 }
		},
		author = "Сахаров", icon = "ecolog", alive=902,
		reward = {from = "author", r_type="money", c_min = 30, c_max = 70}
	},
	{	enabled = true, text ="...думаете, что в конечном счёте, это может повлечь совершенно ненужные жертвы? Да бросьте! Сталкеры и без того постоянно гибнут от различных проявлений Зоны, а те, кому посчастливилось остаться в живых, предпочитают не интересоваться подробностями того, как гибнут их... коллеги. И что теперь? Не думаю, что появление какой-то новой твари вызовет серьёзную реакцию со стороны сталкеров. $where и не такое видали.",
		spawn = {
			{class = "pseudodog_strong", count = 1, point = {491.89,-46.11,-226.66}, lv = 162873 , gv = 2058 }
		},
		author = "[источник неизвестен]", icon = "uniq",		
		reward = {from = "author", r_type="money", c_min = 30, c_max = 70}
	},
	{	enabled = true, text ="Информацию о появлении твари подтверждаю. Высылайте квад с тяжёлым вооружением. $where мои люди сделать ничего не смогут.",
		spawn = {
			{class = "gigant_normal", count = 1, point = {-97.14,-2.21,119.78}, lv = 18685 , gv = 2211}
		},
		author = "\"Duty\"", icon = "dolg",		
		reward = {from = "author", r_type="money", c_min = 30, c_max = 70}
	},
	{	enabled = true, text ="Вот чёрт... значит так, слушайте. $where я наткнулся на военный патруль. Выглядит, мягко говоря, не очень... это вообще сложно назвать патрулём. У них разве что кишки по деревьям не развесили. Только по форме и опознал... В общем, вот что. Во-первых, сюда могут прислать карательный рейд или, того хуже, вертушку. Во-вторых, что меня волнует гораздо больше, здесь завелась какая-то новая тварь. Всё, что я знаю, так оперативно патрули рвать не способно.",
		spawn = {
			{class = "burer_normal", count = 1, point = {136.10,-0.34,29.57}, lv = 333522 , gv = 913 }
		},
		reward = {from = "author", r_type="money", c_min = 30, c_max = 70}
	},
	{	enabled = true, text ="$where наблюдаю электрохимеру. Только что эффектным фейерверком положила группу сталкеров. Так что захочется здесь побродить, дважды подумайте. Развернуться и уйти - оно всяко лучше, чем лежать тут с дымящейся задницей, как эти бедняги.",
		spawn = {
			{class = "chimera_grey", count = 1, point = {62.06,-1.73,43.85}, lv = 174087, gv = 2223}
		},
		reward = {from = "author", r_type="money", c_min = 30, c_max = 70}
	}
}


